Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ivoa.registry.search
Class Where2DOMTokenManager

    java.lang.Object
      net.ivoa.registry.search.Where2DOMTokenManager

All Implemented Interfaces:
  Where2DOMConstants

    public class Where2DOMTokenManager

extends java.lang.Object
implements Where2DOMConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`protected SimpleCharStream` | `input_stream`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface net.ivoa.registry.search.Where2DOMConstants
`DEFAULT, DIGIT, EOF, FLOAT, INTEGER, K_abs, K_acos, K_ALL, K_AND, K_ANY, K_AS, K_ASC, K_asin, K_atan, K_atan2, K_AVG, K_BETWEEN, K_BY, K_ceiling, K_cos, K_COUNT, K_degrees, K_DESC, K_DISTINCT, K_EXISTS, K_exp, K_floor, K_FROM, K_GROUP, K_HAVING, K_IN, K_INTO, K_IS, K_LIKE, K_log, K_log10, K_MAX, K_MIN, K_NOT, K_NOWAIT, K_OR, K_ORDER, K_pi, K_power, K_radians, K_rand, K_REGION, K_round, K_SELECT, K_sin, K_sqrt, K_square, K_SUM, K_tan, K_TOP, K_truncate, K_UNION, K_WHERE, K_XMATCH, LETTER, LINE_COMMENT, MULTI_LINE_COMMENT, S_CHAR_LITERAL, S_IDENTIFIER, S_INTEGER, S_PROTECTED, S_QUOTED_IDENTIFIER, S_REAL, S_TABLE_IDENTIFIER, S_XPATH, S_XPATH_IDENTIFIER, SPECIAL_CHARS, tokenImage`

Constructor Summary
`Where2DOMTokenManager(SimpleCharStream stream)`
`Where2DOMTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### Where2DOMTokenManager

    public Where2DOMTokenManager(SimpleCharStream stream)

### Where2DOMTokenManager

    public Where2DOMTokenManager(SimpleCharStream stream,
                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD